"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

exports.default = ConfigureStore;

var _redux = require("redux");

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function ConfigureStore(reducer, initialState) {
    var middleware = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [];

    var combinedReducer = void 0;
    if ((typeof reducer === "undefined" ? "undefined" : _typeof(reducer)) === "object") {
        combinedReducer = (0, _redux.combineReducers)(reducer);
    } else if (typeof reducer === "function") {
        combinedReducer = reducer;
    } else {
        throw "传入的reducer类型不对，它应该属于object或者function中的一种";
    }
    return (0, _redux.createStore)(combinedReducer, initialState, _redux.applyMiddleware.apply(undefined, _toConsumableArray(middleware)));
}