"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.kickoff = undefined;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _reactDom = require("react-dom");

var _reactRedux = require("react-redux");

var _rootClass = require("./root-class");

var _rootClass2 = _interopRequireDefault(_rootClass);

var _configureStore = require("./configure-store");

var _configureStore2 = _interopRequireDefault(_configureStore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var kickoff = exports.kickoff = function kickoff(options) {
    var reducer = options.reducer,
        loader = options.loader,
        _options$reduxMiddlew = options.reduxMiddleware,
        reduxMiddleware = _options$reduxMiddlew === undefined ? [] : _options$reduxMiddlew,
        initialState = options.initialState;

    var store = (0, _configureStore2.default)(reducer, initialState, reduxMiddleware);
    return function (app) {
        (0, _reactDom.render)(_react2.default.createElement(
            _reactRedux.Provider,
            { store: store },
            _react2.default.createElement(_rootClass2.default, { app: app, loader: loader })
        ), document.getElementById("bsMain"));
    };
};